> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/rma.md).

# RMA

Manage returns and goods exchanges in VARIO Cloud with the RMA API to identify returnable lines and transfer replacements to customer or shipping orders.

Functions for processing returns.

## GET /erp/rma/{documentId}/receivable-lines-during-return-receiving

> Liefert die in der Retourenannahme erfassbaren Positionen zu einem Beleg

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.40.3"},"tags":[{"name":"RMA","description":"Functions for processing returns."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/rma/{documentId}/receivable-lines-during-return-receiving":{"get":{"tags":["RMA"],"summary":"Liefert die in der Retourenannahme erfassbaren Positionen zu einem Beleg","operationId":"getReceivableLinesDuringReturnReceiving","parameters":[{"name":"documentId","in":"path","description":"document identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-document-ReturnableLine"}}}}}}}}},"components":{"schemas":{"erp-document-ReturnableLine":{"description":"Returnable lines.","properties":{"documentLineId":{"type":"string","description":"DocumentLine identifier.","readOnly":true},"documentId":{"type":"string","description":"Document identifier.","readOnly":true},"documentNumber":{"type":"string","description":"Document number.","readOnly":true},"position":{"type":"integer","format":"int32","description":"Position number.","readOnly":true},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleId":{"type":"integer","format":"int64","description":"Article identifier.","readOnly":true},"alreadyReturnedQuantity":{"type":"number","description":"Quantity already returned.","readOnly":true},"returnableQuantity":{"type":"number","description":"Returnable quantity."}},"required":["returnableQuantity"]}}}}
```

## GET /erp/rma/{documentId}/lines-to-transfer-to-shipping-order

> Lists goods exchange lines eligible for transfer to shipping order

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.40.3"},"tags":[{"name":"RMA","description":"Functions for processing returns."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/rma/{documentId}/lines-to-transfer-to-shipping-order":{"get":{"tags":["RMA"],"summary":"Lists goods exchange lines eligible for transfer to shipping order","operationId":"getGoodsExchangeLinesToTransferIntoShippingOrder","parameters":[{"name":"documentId","in":"path","description":"document identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-document-GoodsExchangeLine"}}}}}}}}},"components":{"schemas":{"erp-document-GoodsExchangeLine":{"description":"Goods replacement lines for the transfer into a customer or shipment order.","properties":{"documentLineId":{"type":"string","description":"DocumentLine identifier.","readOnly":true},"position":{"type":"integer","format":"int32","description":"Position number.","readOnly":true},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleId":{"type":"integer","format":"int64","description":"Article identifier.","readOnly":true},"quantity":{"type":"number","description":"Total line quantity.","readOnly":true},"alreadyTransferredQuantity":{"type":"number","description":"Quantity already transferred into orders.","readOnly":true},"transferableQuantity":{"type":"number","description":"Transferable quantity."},"requiresCustomerOrder":{"type":"boolean","description":"Requires a customer order (true) or a shipment order (false).","readOnly":true}},"required":["transferableQuantity"]}}}}
```

## GET /erp/rma/{documentId}/lines-to-transfer-to-return

> Lists all returnable document lines (rooted on the delivery) for transfer

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.40.3"},"tags":[{"name":"RMA","description":"Functions for processing returns."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/rma/{documentId}/lines-to-transfer-to-return":{"get":{"tags":["RMA"],"summary":"Lists all returnable document lines (rooted on the delivery) for transfer","operationId":"getReturnableLines","parameters":[{"name":"documentId","in":"path","description":"document identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-document-ReturnableLine"}}}}}}}}},"components":{"schemas":{"erp-document-ReturnableLine":{"description":"Returnable lines.","properties":{"documentLineId":{"type":"string","description":"DocumentLine identifier.","readOnly":true},"documentId":{"type":"string","description":"Document identifier.","readOnly":true},"documentNumber":{"type":"string","description":"Document number.","readOnly":true},"position":{"type":"integer","format":"int32","description":"Position number.","readOnly":true},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleId":{"type":"integer","format":"int64","description":"Article identifier.","readOnly":true},"alreadyReturnedQuantity":{"type":"number","description":"Quantity already returned.","readOnly":true},"returnableQuantity":{"type":"number","description":"Returnable quantity."}},"required":["returnableQuantity"]}}}}
```

## GET /erp/rma/{documentId}/lines-to-transfer-to-customer-order

> Lists goods exchange lines eligible for transfer to customer order

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.40.3"},"tags":[{"name":"RMA","description":"Functions for processing returns."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/rma/{documentId}/lines-to-transfer-to-customer-order":{"get":{"tags":["RMA"],"summary":"Lists goods exchange lines eligible for transfer to customer order","operationId":"getGoodsExchangeLinesToTransferIntoCustomerOrder","parameters":[{"name":"documentId","in":"path","description":"document identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-document-GoodsExchangeLine"}}}}}}}}},"components":{"schemas":{"erp-document-GoodsExchangeLine":{"description":"Goods replacement lines for the transfer into a customer or shipment order.","properties":{"documentLineId":{"type":"string","description":"DocumentLine identifier.","readOnly":true},"position":{"type":"integer","format":"int32","description":"Position number.","readOnly":true},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleId":{"type":"integer","format":"int64","description":"Article identifier.","readOnly":true},"quantity":{"type":"number","description":"Total line quantity.","readOnly":true},"alreadyTransferredQuantity":{"type":"number","description":"Quantity already transferred into orders.","readOnly":true},"transferableQuantity":{"type":"number","description":"Transferable quantity."},"requiresCustomerOrder":{"type":"boolean","description":"Requires a customer order (true) or a shipment order (false).","readOnly":true}},"required":["transferableQuantity"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/rma.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
